urpm::md5sum(3)

NAME
urpm::md5sum - Meta-data checking routines for urpmi

SYNOPSIS

DESCRIPTION

parse($md5sum_file)
    Parse a MD5SUM file. Returns a hash of file => md5sum

parse($md5sum_file)
    Check size and parse a MD5SUM file. Returns a hash of file => md5sum

versioned_media_info_file($urpm, $medium, $basename)
    Returns the latest versionated file name for $basename

compute($file)
    Return the MD5SUM control sum of $file

COPYRIGHT
Copyright (C) 2005 MandrakeSoft SA

Copyright (C) 2005-2010 Mandriva SA

Copyright (C) 2011-2017 Mageia